Bug 500377 - gnome-screensaver kicks in when mouse and keyboard are active
gnome-screensaver kicks in when mouse and keyboard are active
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 10:01 EDT by Marc Milgram
Modified: 2018-04-11 05:59 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-18 10:08:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Milgram 2009-05-12 10:01:21 EDT
Description of problem:
gnome-screensaver locks my screen while I am reading email - so I am hitting the space bar at least once a minute, and using the mouse.  The timeout is set for 10 minutes.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.26.1-2.fc11.x86_64


How reproducible:
Seems to reproduce every day.

Steps to Reproduce:
1. Login
2. Do work that involves light typing
3.
  
Actual results:
gnome-screensaver kicks in when it should not.

Expected results:
gnome-screensaver only kicks in after the designated timeout

Additional info:
I run synergy.  Today the problem occurred while I was using my primary screen, and the screensaver on the primary screen went black (as if the screensaver kicked in).
Comment 1 Marc Milgram 2009-05-12 10:03:43 EDT
I realize that this could also be an issue with X11 not updating something based on keyboard or mouse events.  I don't know much about X11's current architecture, but I am running:
xorg-x11-server-Xorg-1.6.1-11.fc11.x86_64
Comment 2 Bug Zapper 2009-06-09 11:41:21 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Stefan Ring 2009-06-18 07:52:21 EDT
I experience roughly the same, except that the screen saver does not actually kick in, but both monitors go completely blank (I think they power down). A mouse movement or key press wakes them up again. Sometimes this happens < 1 sec after the last keyboard or mouse action.

My screen saver is set to 5 minutes, the display sleep time is set to 30 minutes.

I'm running a standard Fedora 11 gnome desktop with NVidia Quadro NVS 295 using the nouveau driver and two Samsung 24" displays connected via DVI.

I've been running Fedora 11 since the beta release, and this behaviour hasn't changed since.
Comment 4 Jean-Francois Saucier 2009-06-19 10:59:09 EDT
I can reproduce this bug with an IBM Thinkpad T61 and a Dell Mini 9. One of my coworker as well.

I have the gnome-screensaver set to blank screen after 5 minutes and I have the power management to shutdown the screen after 6.
Comment 5 Cristian Ciupitu 2009-06-19 11:40:40 EDT
I have the same problem. My HP L1955 monitor connected to a NVidia 7600 GS via DVI enters in *standby mode* even if I use the mouse and keyboard.

I am using:
xorg-x11-drv-nvidia-180.51-1.fc11.x86_64.rpm (binary driver from NVidia)
gnome-screensaver-2.26.1-2.fc11.x86_64.rpm
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64.rpm

I had the same issue with the Fedora 11 preview, but IIRC I was using the nouveau driver.
Comment 6 Alex Butcher 2009-06-25 02:33:28 EDT
Sounds like the same problem here.

$ rpm -qa xorg-x11-drv-nvidia\* gnome-screensaver xorg-x11-server-Xorg DeviceKit-power gnome-power-manager
gnome-screensaver-2.26.1-2.fc11.x86_64
DeviceKit-power-008-1.fc11.x86_64
gnome-power-manager-2.26.2-1.fc11.x86_64
xorg-x11-drv-nvidia-libs-185.18.14-2.fc11.x86_64
xorg-x11-drv-nvidia-185.18.14-2.fc11.x86_64
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64
Comment 7 Alex Butcher 2009-06-25 02:35:26 EDT
Dupe of 499061?
Comment 8 Chris Walker 2009-07-17 13:04:07 EDT
Seeing on my dual monitor system as well since upgrading to fedora 11, Quadro NVS 285 using nvidia driver.  This bug is slowly driving me insane.. guess since someone else is seeing it with the nouveau driver that it may not be an issue with the driver.
Comment 9 Michael Cronenworth 2009-07-21 00:58:55 EDT
If everyone is in agreement, I think this bug is a dupe of bug 499061.
Comment 10 Michael Cronenworth 2009-08-23 02:23:38 EDT
Try "yum --enablerepo=updates-testing update xorg-x11-server-Xorg
gnome-power-manager" and reboot.
Comment 11 jmccann 2009-09-02 15:10:10 EDT
The screensaver gets idle information from the Xorg server.
Comment 12 Matěj Cepl 2009-09-10 04:37:33 EDT
Could anybody who is affected by this bug provide information about graphics card they use, version of kernel, and xorg-x11-drv, please?

Thank you
Comment 13 Stefan Ring 2009-09-10 04:45:46 EDT
NVidia Quadro NVS 295

kernel-2.6.29.6-217.2.3.fc11.x86_64.rpm
xorg-x11-drv-nouveau-0.0.12-40.20090528git0c17b87.fc11.x86_64.rpm
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64.rpm

The bug seems to be fixed, though. I've been running a more recent Xorg server for a few days and have not had any occurrence of screen blanking since.

The good version is xorg-x11-server-Xorg-1.6.3-4.fc11.x86_64.rpm (was in updates-testing a few days ago).
Comment 14 Matěj Cepl 2009-09-12 12:18:03 EDT
Cool news! Could anybody else reproduce it and provide this information, please?

Thank you
Comment 15 Matěj Cepl 2009-11-05 13:29:08 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 16 Ted X Toth 2009-12-21 10:08:08 EST
We are seeing this same problem in F10 which we are fielding until RHEL6 is available and we'd really like to find a fix or workaround, any suggestions? It's troubling that there isn't a specific change that is supposed to have fixed this problem.
Comment 17 Matěj Cepl 2009-12-21 20:13:19 EST
(In reply to comment #16)
> We are seeing this same problem in F10 which we are fielding until RHEL6 is
> available and we'd really like to find a fix or workaround, any suggestions?
> It's troubling that there isn't a specific change that is supposed to have
> fixed this problem.  

Unfortunately Fedora 10 is not supported anymore (https://www.redhat.com/archives/fedora-announce-list/2009-December/msg00014.html). Are you able to reproduce the issue with the currently supported (preferably Fedora 12) Xorg in the latest updates of the distribution?

If you are able to reproduce the issue with the currently supported distro, please, attach your X server config file (/etc/X11/xorg.conf, if available), output of the dmesg command, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

Thanks in advance.
Comment 18 Jean-Francois Saucier 2010-02-07 12:21:22 EST
The bug seems to be fixed in F11 and not present at all in F12 here and on my coworkers laptops.

Don't know for F10.
Comment 19 Cristian Ciupitu 2010-02-07 15:00:11 EST
(In reply to comment #18)
> Don't know for F10.    

Fedora 10 is not supported anymore.
Comment 20 Bug Zapper 2010-04-27 10:17:17 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 21 Jean-Francois Saucier 2010-06-18 10:08:42 EDT
I think we can close this bug for now as it is fixed in F-11, F-12 and F-13.

If someone still encounter the problem, I welcome them to reopen this bug.


Thanks.

Note You need to log in before you can comment on or make changes to this bug.